Skip to main content
`Ctrl`+`K`

# DMGetCoordinateSection

Retrieve the `PetscSection` of coordinate values over the mesh.

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGetCoordinateSection(DM dm, PetscSection *section)

Collective

## Input Parameter

- dm - The `DM` object

## Output Parameter

- section - The `PetscSection` object

## Note

This just retrieves the local section from the coordinate `DM`. In other words,

      DMGetCoordinateDM(dm, &cdm);
      DMGetLocalSection(cdm, &section);

## See Also

`DM`, `DMGetCoordinateDM()`, `DMGetLocalSection()`, `DMSetLocalSection()`

## Level

intermediate

## Location

src/dm/interface/dmcoordinates.c

## Examples

src/ts/tutorials/ex11.c
src/snes/tutorials/ex13.c
src/ts/tutorials/ex11_sa.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages